import { html as a } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as g } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (p, s, o, t) => {
  for (var e = t > 1 ? void 0 : t ? m(s, o) : s, i = p.length - 1, l; i >= 0; i--)
    (l = p[i]) && (e = (t ? l(s, o, e) : l(e)) || e);
  return t && e && f(s, o, e), e;
};
let r = class extends g {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--signClosedLarge", this.class = "c-pieIcon c-pieIcon--signClosedLarge", this.name = "IconSignClosedLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--signClosedLarge"><path d="M26.5 11.625h-4.462l-5.355-6.676h-1.365l-5.355 6.676H5.5a2.625 2.625 0 0 0-2.625 2.625v10.5A2.625 2.625 0 0 0 5.5 27.375h21a2.625 2.625 0 0 0 2.625-2.625v-10.5a2.625 2.625 0 0 0-2.625-2.625M16 6.9l3.789 4.725H12.21zm11.375 17.85a.875.875 0 0 1-.875.875h-21a.875.875 0 0 1-.875-.875v-10.5a.875.875 0 0 1 .875-.875h21a.875.875 0 0 1 .875.875zm-7.691-7.691-2.45 2.441 2.45 2.441-1.243 1.243L16 20.734l-2.441 2.45-1.243-1.243 2.45-2.441-2.45-2.441 1.243-1.243L16 18.266l2.441-2.45z"></path></svg>`;
  }
};
n([
  c({ type: String, reflect: !0 })
], r.prototype, "size", 2);
n([
  c({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = n([
  h("icon-sign-closed-large")
], r);
export {
  r as IconSignClosedLarge
};
